For the complete documentation index, see llms.txt. This page is also available as Markdown.

Job Attachment

get

Check whether a persisted job attachment is available without downloading it

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
attachment_typestring · enumRequiredPossible values:
job_idstringRequired
Responses
200Success
application/json
availablebooleanRequired
get/api/v1/jobs/{job_id}/attachment/{attachment_type}/availability/
GET /api/v1/jobs/{job_id}/attachment/{attachment_type}/availability/ HTTP/1.1
Accept: */*
{
  "available": true
}
get

Download a persisted job attachment

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
attachment_typestring · enumRequiredPossible values:
job_idstringRequired
Responses
200

Success: Job attachment

application/octet-stream
string · binaryOptional
get/api/v1/jobs/{job_id}/attachment/{attachment_type}/download/
GET /api/v1/jobs/{job_id}/attachment/{attachment_type}/download/ HTTP/1.1
Accept: */*
binary
get

List attachments

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
job_idstringRequired
Responses
200

Success: Attachment list

application/json
get/api/v1/jobs/{job_id}/attachments/
GET /api/v1/jobs/{job_id}/attachments/ HTTP/1.1
Accept: */*
{
  "attachments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "job_id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "LOG",
      "created_at": "2026-01-01T00:00:00.000Z",
      "name": "text"
    }
  ]
}
get

Get attachment metadata by id

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
attachment_idstringRequired
Responses
200

Success: Attachment details

application/json
idstring · uuidRequired
job_idstring · uuid · nullableOptionalDefault: null
typestring · enumRequiredPossible values:
created_atstring · date-time · nullableOptionalDefault: null
namestring · nullableOptionalDefault: null
get/api/v1/jobs/attachment/{attachment_id}/
GET /api/v1/jobs/attachment/{attachment_id}/ HTTP/1.1
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "job_id": "123e4567-e89b-12d3-a456-426614174000",
  "type": "LOG",
  "created_at": "2026-01-01T00:00:00.000Z",
  "name": "text"
}

Last updated

Was this helpful?